## qt6-wayland 6.2.4

=== config.tests/wayland_scanner/CMakeLists.txt ===
# Generated from wayland_scanner.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_wayland_scanner LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== examples/wayland/custom-extension/CMakeLists.txt ===
# Generated from custom-extension.pro.

qt_internal_add_example(qml-client)
qt_internal_add_example(compositor)
qt_internal_add_example(cpp-client)

=== examples/wayland/ivi-compositor/CMakeLists.txt ===
# Generated from ivi-compositor.pro.

cmake_minimum_required(VERSION 3.16)
project(ivi-compositor LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/ivi-compositor")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)

qt_add_executable(ivi-compositor
    main.cpp
)
set_target_properties(ivi-compositor PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(ivi-compositor PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)


# Resources:
set(ivi-compositor_resource_files
    "main.qml"
)

qt6_add_resources(ivi-compositor "ivi-compositor"
    PREFIX
        "/"
    FILES
        ${ivi-compositor_resource_files}
)

install(TARGETS ivi-compositor
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/wayland/server-side-decoration/CMakeLists.txt ===
# Generated from server-side-decoration.pro.

cmake_minimum_required(VERSION 3.16)
project(server-side-decoration LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/server-side-decoration")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)

qt_add_executable(server-side-decoration
    main.cpp
)
set_target_properties(server-side-decoration PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(server-side-decoration PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)


# Resources:
set(server-side-decoration_resource_files
    "main.qml"
)

qt6_add_resources(server-side-decoration "server-side-decoration"
    PREFIX
        "/"
    FILES
        ${server-side-decoration_resource_files}
)

install(TARGETS server-side-decoration
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/hardwareintegration/CMakeLists.txt ===
# Generated from hardwareintegration.pro.

if(TARGET Qt::WaylandClient)
    add_subdirectory(client)
endif()
if(TARGET Qt::WaylandCompositor)
    add_subdirectory(compositor)
endif()

=== src/plugins/platforms/CMakeLists.txt ===
# Generated from platforms.pro.

add_subdirectory(qwayland-generic)
if(QT_FEATURE_wayland_egl)
    add_subdirectory(qwayland-egl)
endif()
if(QT_FEATURE_wayland_brcm)
    add_subdirectory(qwayland-brcm-egl)
endif()
if(QT_FEATURE_xcomposite_egl)
    add_subdirectory(qwayland-xcomposite-egl)
endif()
if(QT_FEATURE_xcomposite_glx)
    add_subdirectory(qwayland-xcomposite-glx)
endif()

=== examples/wayland/custom-extension/cpp-client/CMakeLists.txt ===
# Generated from cpp-client.pro.

cmake_minimum_required(VERSION 3.16)
project(custom-extension-cpp-client) # special case

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/custom-extension/cpp-client")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WaylandClient)

qt_add_executable(custom-extension-cpp-client
    ../client-common/customextension.cpp ../client-common/customextension.h
    main.cpp
)

qt6_generate_wayland_protocol_client_sources(custom-extension-cpp-client
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../protocol/custom.xml
)
set_target_properties(custom-extension-cpp-client PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(custom-extension-cpp-client PUBLIC
    Qt::Core
    Qt::Gui
    Qt::GuiPrivate
    Qt::WaylandClient
)

install(TARGETS custom-extension-cpp-client
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/shellintegration/wl-shell/CMakeLists.txt ===
# Generated from wl-shell.pro.

#####################################################################
## WlShellIntegrationPrivate Module:
#####################################################################

qt_internal_add_module(WlShellIntegrationPrivate
    CONFIG_MODULE_NAME wl_shell_integration
    INTERNAL_MODULE
    SOURCES
        qwaylandwlshellintegration.cpp qwaylandwlshellintegration_p.h
        qwaylandwlshellsurface.cpp qwaylandwlshellsurface_p.h
    LIBRARIES
        Qt::GuiPrivate
        Qt::WaylandClientPrivate
        Wayland::Client
)

qt6_generate_wayland_protocol_client_sources(WlShellIntegrationPrivate
    # this is just a helper module and still part of the QtWaylandClient build
    WAYLAND_INCLUDE_DIR QtWaylandClient/private
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../3rdparty/protocol/wayland.xml
)

#### Keys ignored in scope 2:.:.:wl-shell-integration.pro:<TRUE>:
# MODULE = "wl_shell_integration"

## Scopes:
#####################################################################

qt_internal_extend_target(WlShellIntegrationPrivate CONDITION QT_FEATURE_xkbcommon
    LIBRARIES
        XKB::XKB
)
#####################################################################
## QWaylandWlShellIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandWlShellIntegrationPlugin
    OUTPUT_NAME wl-shell-plugin
    PLUGIN_TYPE wayland-shell-integration
    SOURCES
        main.cpp
    LIBRARIES
        Qt::GuiPrivate
        Qt::WaylandClientPrivate
        Qt::WlShellIntegrationPrivate
)

#### Keys ignored in scope 4:.:.:wl-shell-plugin.pro:<TRUE>:
# OTHER_FILES = "wl-shell.json"

=== tests/auto/client/xdgdecorationv1/CMakeLists.txt ===
# Generated from xdgdecorationv1.pro.

#####################################################################
## tst_xdgdecorationv1 Test:
#####################################################################

qt_internal_add_test(tst_xdgdecorationv1
    SOURCES
        tst_xdgdecorationv1.cpp
    PUBLIC_LIBRARIES
        SharedClientTest
)

=== tests/auto/cmake/test_waylandclient/CMakeLists.txt ===
project(test_plugins)

cmake_minimum_required(VERSION 3.16)
cmake_policy(SET CMP0056 NEW)

find_package(Qt5WaylandClient REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

include_directories(${Qt5WaylandClient_PRIVATE_INCLUDE_DIRS})
add_executable(test_waylandclient_exe main.cpp)
target_link_libraries(test_waylandclient_exe Qt5::WaylandClient)

=== src/plugins/hardwareintegration/client/xcomposite-egl/CMakeLists.txt ===
# Generated from xcomposite-egl.pro.

#####################################################################
## QWaylandXCompositeEglClientBufferPlugin Plugin:
#####################################################################
qt_find_package(EGL) # special case

qt_internal_add_plugin(QWaylandXCompositeEglClientBufferPlugin
    OUTPUT_NAME xcomposite-egl
    PLUGIN_TYPE wayland-graphics-integration-client
    SOURCES
        ../../../../hardwareintegration/client/xcomposite-egl/qwaylandxcompositeeglclientbufferintegration.cpp ../../../../hardwareintegration/client/xcomposite-egl/qwaylandxcompositeeglclientbufferintegration.h
        ../../../../hardwareintegration/client/xcomposite-egl/qwaylandxcompositeeglcontext.cpp ../../../../hardwareintegration/client/xcomposite-egl/qwaylandxcompositeeglcontext.h
        ../../../../hardwareintegration/client/xcomposite-egl/qwaylandxcompositeeglwindow.cpp ../../../../hardwareintegration/client/xcomposite-egl/qwaylandxcompositeeglwindow.h
        ../../../../hardwareintegration/client/xcomposite_share/qwaylandxcompositebuffer.cpp ../../../../hardwareintegration/client/xcomposite_share/qwaylandxcompositebuffer.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../hardwareintegration/client/xcomposite-egl
        ../../../../hardwareintegration/client/xcomposite_share
    LIBRARIES
        EGL::EGL
        PkgConfig::XComposite
        Qt::Core
        Qt::Gui
        Qt::WaylandClientPrivate
        Wayland::Client
        X11::X11
)

qt6_generate_wayland_protocol_client_sources(QWaylandXCompositeEglClientBufferPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../hardwareintegration/client/xcomposite_share/../../../extensions/xcomposite.xml
)

#### Keys ignored in scope 1:.:.:xcomposite-egl.pro:<TRUE>:
# OTHER_FILES = "xcomposite-egl.json"
# QMAKE_CXXFLAGS_WARN_ON = "--Wcast-qual"

=== src/plugins/hardwareintegration/compositor/brcm-egl/CMakeLists.txt ===
# Generated from brcm-egl.pro.

#####################################################################
## QWaylandBrcmClientBufferIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandBrcmClientBufferIntegrationPlugin
    OUTPUT_NAME qt-wayland-compositor-brcm-egl
    PLUGIN_TYPE wayland-graphics-integration-server
    SOURCES
        ../../../../hardwareintegration/compositor/brcm-egl/brcmbuffer.cpp ../../../../hardwareintegration/compositor/brcm-egl/brcmbuffer.h
        ../../../../hardwareintegration/compositor/brcm-egl/brcmeglintegration.cpp ../../../../hardwareintegration/compositor/brcm-egl/brcmeglintegration.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../hardwareintegration/compositor/brcm-egl
    LIBRARIES
        Wayland::Server
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::WaylandCompositor
        Qt::WaylandCompositorPrivate
)

qt6_generate_wayland_protocol_server_sources(QWaylandBrcmClientBufferIntegrationPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../hardwareintegration/compositor/brcm-egl/../../../extensions/brcm.xml
)

#### Keys ignored in scope 1:.:.:brcm-egl.pro:<TRUE>:
# OTHER_FILES = "brcm-egl.json"

=== debian/changelog ===
qt6-wayland (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 21:07:22 +0200

qt6-wayland (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:23:13 +0100

qt6-wayland (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Jan 2022 18:26:54 +0100

qt6-wayland (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999898)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 09:15:34 +0100

=== debian/control ===
Source: qt6-wayland
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libdrm-dev,
               libegl1-mesa-dev,
               libfontconfig1-dev,
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libxcomposite-dev,
               libxkbcommon-dev (>= 0.2.0),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
Rules-Requires-Root: no

Package: libqt6waylandclient6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Wayland Client library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Client library.

Package: libqt6waylandcompositor6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Wayland Compositor library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor library.

Package: libqt6waylandeglclienthwintegration6
Architecture: any
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Wayland WaylandEglClientHwIntegration library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland EglClientHwIntegration library.

Package: libqt6waylandeglcompositorhwintegration6
Architecture: any
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Wayland WaylandEglCompositorHwIntegration library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland EglCompositorHwIntegration library.

Package: libqt6wlshellintegration6
Architecture: any
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Wayland ShellIntegration library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland ShellIntegration library.

Package: qml6-module-qtwayland-compositor
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Wayland Compositor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Wayland Compositor modules provide QML types that can be used to
 create custom display servers supporting the Wayland protocol.

Package: qml6-module-qtwayland-client-texturesharing
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Wayland Shared Texture Provider QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This module allows Qt Wayland clients to use graphical resources exported
 by the compositor, without allocating any graphics memory in the client.

Package: qt6-wayland
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Wayland platform plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 6 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qt6-wayland-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         libqt6waylandcompositor6 (= ${binary:Version}),
         libqt6waylandeglclienthwintegration6 (= ${binary:Version}),
         libqt6waylandeglcompositorhwintegration6 (= ${binary:Version}),
         libqt6wlshellintegration6 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Wayland - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 and compositor libraries.

Package: qt6-wayland-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Wayland developer tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland developer tools.
 At the moment there is only qtwaylandscanner tool here.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-wayland 6.3.1

=== debian/changelog ===
qt6-wayland (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:06 +0200

qt6-wayland (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 19:37:47 +0200

qt6-wayland (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 14:12:52 +0200

qt6-wayland (6.3.0-1) experimental; urgency=medium

  * New upstream release.
    - Update the .install files.
  * Add my name to Uploaders.
  * Bump build dependencies to grab 6.3.0.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 17 Jun 2022 21:11:54 -0500

qt6-wayland (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.8.0),
@@ -18,14 +20,14 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git

## qt6-wayland 6.4.2

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(wayland)

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Generated from src.pro.
# special case begin
qt_find_package(WaylandScanner PROVIDED_TARGETS Wayland::Scanner)
qt_find_package(Wayland 1.15 PROVIDED_TARGETS Wayland::Client Wayland::Server)

if (NOT WaylandScanner_FOUND OR NOT Wayland_FOUND)
    message(WARNING "QtWayland is missing required dependencies, nothing will be built. \
Although this could be considered an error, the configuration will still pass as coin (Qt's \
continuous integration system) will fail the build if configure fails, but will still try to \
configure the module on targets that are missing dependencies.")
    return()
endif()

# See global/README for a description of the following module.
qt_internal_add_module(WaylandGlobalPrivate INTERNAL_MODULE HEADER_MODULE)
add_subdirectory(qtwaylandscanner)

# special case begin
# TODO: Ideally these macros would be part of the qtwaylandscanner tool, and not the compositor/client
include(client/Qt6WaylandClientMacros.cmake)
include(compositor/Qt6WaylandCompositorMacros.cmake)
#special case end

if (QT_FEATURE_wayland_client)
    add_subdirectory(client)
endif()

if (QT_FEATURE_wayland_server)
    add_subdirectory(compositor)
endif()

if (QT_FEATURE_wayland_server OR QT_FEATURE_wayland_client)
    add_subdirectory(hardwareintegration)
    add_subdirectory(plugins)
    add_subdirectory(imports)
endif()
# special case end

=== tests/CMakeLists.txt ===
# Generated from tests.pro.

# special case begin
# TODO: Prepare for removal, once Platform brings in Threads.
if(NOT TARGET Threads::Threads)
    qt_find_package(Threads REQUIRED)
endif()
# special case end

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
    # special case begin
    qt_find_package(Qt6 ${PROJECT_VERSION} OPTIONAL_COMPONENTS WaylandCompositor WaylandClient)

    if (NOT Qt6WaylandScannerTools_FOUND)
        message(WARNING "QtWaylandTests is missing required components, nothing will be built. \
        Although this could be considered an error, the configuration will still pass as coin (Qt's \
        continuous integration system) will fail the build if configure fails, but will still try to \
        configure the module on targets that are missing dependencies.")
        return()
    endif()
    # special case end
endif()
qt_build_tests()

=== config.tests/wayland_scanner/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 project(config_test_wayland_scanner LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})

=== src/imports/CMakeLists.txt ===
# Generated from imports.pro.

if(TARGET Qt::Quick AND TARGET Qt::WaylandCompositor)
    add_subdirectory(compositor-extensions)
endif()
if(QT_FEATURE_opengl AND TARGET Qt::Quick AND TARGET Qt::WaylandClient AND TARGET Qt::WaylandCompositor)
    add_subdirectory(texture-sharing)
    add_subdirectory(texture-sharing-extension)
endif()

=== src/qtwaylandscanner/CMakeLists.txt ===
# Generated from qtwaylandscanner.pro.

#####################################################################
## qtwaylandscanner Tool:
#####################################################################

qt_get_tool_target_name(target_name qtwaylandscanner)
qt_internal_add_tool(${target_name}
    TOOLS_TARGET WaylandScanner # special case
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        qtwaylandscanner.cpp
)
qt_internal_return_unless_building_tools()

#### Keys ignored in scope 1:.:.:qtwaylandscanner.pro:<TRUE>:
# _OPTION = "host_build"

# special case begin
# Abuse the function to make sure the package providing qtwaylandscanner calls
# find_package(WaylandScanner), aka the non-qt provided package.
qt_record_extra_package_dependency(qtwaylandscanner WaylandScanner "")
# special case end

=== examples/wayland/custom-shell/CMakeLists.txt ===
qt_internal_add_example(client-plugin)
qt_internal_add_example(compositor)

=== examples/wayland/minimal-qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(minimal-qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/minimal-qml")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml)

qt_add_executable(minimal-qml
    main.cpp
)

set_target_properties(minimal-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(minimal-qml PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)

# Resources:
set(minimal-qml_resource_files
    "main.qml"
)

qt6_add_resources(minimal-qml "minimal-qml"
    PREFIX
        "/"
    FILES
        ${minimal-qml_resource_files}
)

install(TARGETS minimal-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/wayland/multi-output/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(multi-output LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/multi-output")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml)

qt_add_executable(multi-output
    main.cpp
)

set_target_properties(multi-output PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(multi-output PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)

# Resources:
set(multi-output_resource_files
    "images/background.jpg"
    "qml/GridScreen.qml"
    "qml/ShellChrome.qml"
    "qml/ShellScreen.qml"
    "qml/main.qml"
)

qt6_add_resources(multi-output "multi-output"
    PREFIX
        "/"
    FILES
        ${multi-output_resource_files}
)

install(TARGETS multi-output
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/wayland/multi-screen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(multi-screen LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/multi-screen")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml)

qt_add_executable(multi-screen
    main.cpp
)

set_target_properties(multi-screen PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(multi-screen PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)

# Resources:
set(multi-screen_resource_files
    "qml/Chrome.qml"
    "qml/CompositorScreen.qml"
    "qml/main.qml"
)

qt6_add_resources(multi-screen "multi-screen"
    PREFIX
        "/"
    FILES
        ${multi-screen_resource_files}
)

install(TARGETS multi-screen
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/wayland/overview-compositor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(overview-compositor LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/overview-compositor")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml)

qt_add_executable(overview-compositor
    main.cpp
)

set_target_properties(overview-compositor PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(overview-compositor PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)

# Resources:
set(overview-compositor_resource_files
    "main.qml"
)

qt6_add_resources(overview-compositor "overview-compositor"
    PREFIX
        "/"
    FILES
        ${overview-compositor_resource_files}
)

install(TARGETS overview-compositor
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/wayland/pure-qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(pure-qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/pure-qml")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml)

qt_add_executable(pure-qml
    main.cpp
)

set_target_properties(pure-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(pure-qml PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)

# Resources:
set(pure-qml_resource_files
    "images/background.jpg"
    "qml/Chrome.qml"
    "qml/CompositorScreen.qml"
    "qml/Keyboard.qml"
    "qml/main.qml"
)

qt6_add_resources(pure-qml "pure-qml"
    PREFIX
        "/"
    FILES
        ${pure-qml_resource_files}
)

install(TARGETS pure-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-wayland (6.4.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Nov 2024 21:04:06 -0800

qt6-wayland (6.4.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 10:29:15 -0300

qt6-wayland (6.4.2-1) unstable; urgency=medium

  * Team upload.
  * Add libwayland-dev as qt6-wayland-dev dependency, as CMake files look for
    its presence.
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Install private components, which are not tied to private headers and
    required by the main, public components (Closes: #1029098).
    Thanks Rodney Dawes for the bug report!
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1013222#50

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Jan 2023 14:44:16 -0300

qt6-wayland (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:20 +0100

qt6-wayland (6.4.2~rc1-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update debian/copyright.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release 6.4.2.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:28:01 +0100

qt6-wayland (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015627).
  * Fix FTCBFS, thx to Helmut Grohne (Closes: #1023088):
    + Pass QT_HOST_PATH and QT_HOST_PATH_CMAKE_DIR.
    + Depend on a native version of ourselves.
    + qt6-wayland-dev needs to depend on qt6-wayland-dev-tools.
    + Do build tools when cross compiling.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 11:03:07 +0100

qt6-wayland (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Increase CMake verbosity level.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:33:04 +0200

qt6-wayland (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 17:25:28 -0300

qt6-wayland (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 11:18:11 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: qt6-wayland
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: cmake (>= 3.18~),
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.8.0),
@@ -20,14 +22,15 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-               zlib1g-dev,
-Standards-Version: 4.6.1
+               zlib1g-dev
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -62,7 +65,7 @@
 Multi-Arch: same
 Depends: libqt6waylandclient6 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Qt 6 Wayland WaylandEglClientHwIntegration library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -76,7 +79,7 @@
 Multi-Arch: same
 Depends: libqt6waylandclient6 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Qt 6 Wayland WaylandEglCompositorHwIntegration library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -90,7 +93,7 @@
 Multi-Arch: same
 Depends: libqt6waylandclient6 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Qt 6 Wayland ShellIntegration library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -144,7 +147,9 @@
          libqt6waylandeglclienthwintegration6 (= ${binary:Version}),
          libqt6waylandeglcompositorhwintegration6 (= ${binary:Version}),
          libqt6wlshellintegration6 (= ${binary:Version}),
-         ${misc:Depends},
+         libwayland-dev,
+         qt6-wayland-dev-tools (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qt 6 Wayland - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
